Bug 152184 - Screen resolution different for root.
Screen resolution different for root.
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-03-25 14:11 EST by Carl Flarity
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 12:00:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carl Flarity 2005-03-25 14:11:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I've set the screen resolution to 1280x1024 but get 1024x768 when logged in as root. When I log in as a user I get expected resolution of 1280x1024.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set screen resolution to 1280x1024.
2. Log in as root instead of user.

Actual Results:  Screen resolution is set to 1024x768.

Expected Results:  Screen resolution should be 1280x1024.

Additional info:

Using VESA driver with Sony LCD monitor.

This does not happen in Fedora Core 3 using similar driver and settings.
Comment 1 Radek Bíba 2005-03-29 08:30:41 EST
Carl, You selected "screen" as the component. However, this issue doesn't seem to
be related to screen (man screen), more likely the VESA driver or some settings.

(Anyway, you shouldn't log in to GUI as root and do common tasks as root.)
Comment 2 Petr Rockai 2005-03-29 10:05:44 EST
I suppose you mean X11 screen here. Reassigning to xorg-x11 (which is  
hopefully the right component...). 
Comment 3 Mike A. Harris 2005-03-29 12:00:41 EST
The screen resolution is set globally in the X server config file, and
changes made via GNOME/KDE or similar tools that set the resolution
via RANDR, are per user settings.  If you use RANDR based tools to
set the resolution, each user, including root, must set the resolution
themselves after logging in.

If you desire a single global resolution, run system-config-display to
choose your resolution(s), or alternatively, hand edit the xorg.conf
config file to specify the desired resolution.

Note:  You may additionally need to unset or disable the effects of any
GNOME/KDE applets to prevent them from overriding the server's default.

If you require technical assistance in making any of these configuration
changes, you may find the fedora-list@redhat.com mailing list helpful.

Comment 4 Carl Flarity 2005-03-29 17:43:06 EST
I originally set the screen resolution via Desktop/System_Settings/Display. I
have no idea how to determine whether this is a RANDR-based tool or not. When I
log in as root this control tells me my screen resolution is 1280x1024 but when
I press the menu button on my LCD display it tells me it really is 1024x768.
When I log in as user=carl the display is truly 1280x1024. When I do the same
exercise in Fedora Core 3 the resolution is always 1280x1024 as expected.

I tried logging in as root and running "system-config-display". Again, it tells
me that the resolution is 1280x1024 when it really is 1024x768. BTW, at first I
thought "system-config-display" was telling me which window to pull down in the
gui and was somewhat surprised to find that it is a valid command in a bash

When I chose "screen" as the category to report this problem I knew it was
probably wrong but I couldn't find anything better and there was no "none of the
above" category. Hey, I'm a Linux newbie.

Note You need to log in before you can comment on or make changes to this bug.